Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal
Interface Page

All Superinterfaces:
  java.lang.Comparable, PageContainer, PortalObject

All Known Implementing Classes:
  PageImpl

    public interface Page

extends PageContainer

A page contains window and is also a page container which can contain nested pages.

Version:
  $Revision: 8786 $
Author:
  Martin Holzner

Field Summary

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Method Summary
`Window` | `createWindow(java.lang.String name, ContentType contentType, java.lang.String contentURI)` Create a new window.
`Portal` | `getPortal()` Return the portal containing this page.
`Window` | `getWindow(java.lang.String name)` Return a page window or null if the portal object does not exist or does not have the appropriate type.

Methods inherited from interface org.jboss.portal.core.model.portal.PageContainer
`createPage, getPage`

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, getType, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getPortal

    Portal getPortal()

  Return the portal containing this page.

  Returns:
    the portal for this page

### getWindow

    Window getWindow(java.lang.String name)
                     throws java.lang.IllegalArgumentException

  Return a page window or null if the portal object does not exist or does not have the appropriate type.

  Parameters:
    `name` - the window name
  Returns:
    the specified page window
  Throws:
    `java.lang.IllegalArgumentException` - if the name is null

### createWindow

    Window createWindow(java.lang.String name,
                        ContentType contentType,
                        java.lang.String contentURI)
                        throws DuplicatePortalObjectException,
                               java.lang.IllegalArgumentException

  Create a new window.

  Parameters:
    `name` - window name
    `contentType` - the window content type
    `contentURI` - the window content URI
  Returns:
    the created window
  Throws:
    `DuplicatePortalObjectException` - if a portal object with the specified name already exist
    `java.lang.IllegalArgumentException` - if the name is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD